> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Employer Assignment



## OpenAPI

````yaml post /employer_assignments
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /employer_assignments:
    post:
      tags:
        - employer_assignments
      operationId: employer_assignments_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EmployerAssignment'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/EmployerAssignment'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/EmployerAssignment'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmployerAssignment'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    EmployerAssignment:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        user:
          type: string
        employer:
          type: string
      required:
        - employer
        - id
        - user
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````